%define major 2
%define libname %mklibname amrnb %major

Summary: AMR NarrowBand speech codec
Name: amrnb
Version: 6.1.0.3
Release: %mkrel 1
License: Distributable
Group: System/Libraries
URL: http://www.penguin.cz/~utx/amr
Source: http://ftp.penguin.cz/pub/users/utx/amr/amrnb-%{version}.tar.bz2
Source1: http://www.3gpp.org/ftp/Specs/archive/26_series/26.104/26104-610.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
AMR-NB is a narrowband speech codec used in mobile phones.

This package is in PLF as it might violate some patents.

%package -n %libname
Summary: AMR NarrowBand speech codec development files
Group: System/Libraries

%description -n %libname
AMR-NB is a narrowband speech codec used in mobile phones development files.


%package -n %libname-devel
Summary: AMR NarrowBand speech codec development files
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Conflicts: %mklibname -d amrnb 0
Provides: libamrnb2-devel

%description -n %libname-devel
AMR-NB is a narrowband speech codec used in mobile phones development files.

%prep
%setup -q
cp %SOURCE1 .

%build
%configure2_5x --enable-static
%make


%install
%{__rm} -rf %{buildroot}
%makeinstall


%clean
%{__rm} -rf %{buildroot}


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README AUTHORS TODO COPYING
%_bindir/*

%files -n %libname
%defattr(-,root,root,0755)
%{_libdir}/libamrnb.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root,0755)
%{_includedir}/amrnb/
%{_libdir}/libamrnb.a
%exclude %{_libdir}/libamrnb.la
%{_libdir}/libamrnb.so


%changelog
* Wed Dec 05 2007 Torbjorn Turpeinen (Thac) <tobbe@djura.se> 6.1.0.3-1
- Build for PCLinuxOS 2007
